# File for defining how to form a scheudle consisting of heuristics and time bounds.
# When a schedule is implemented it must be added to the "schedules" dict such that
# there can be a mapping between its string and the specification
#
# The general format of a schedule is: sched = [[h0, 120], [h2, 300]]
# where h0, h2 are heuristics and 120, 300 is the time to run it for.
# If None is supplied as time, the heuristic runs indefinitely.


default = [["heur/default", None]]
default_test = [["heur/default", 2], ["heur/default", None]]
default_claus_test = [["heur/default_claus_test", 2], ["heur/default_claus_test", None]]


ueq_sched_no_abstr = [('heur/default_fof', 305),
                      ('heur/245752', 305),
                      ('heur/247553', 305),
                      ('heur/245780', 305),
                      ('heur/209380', 305),
                      ('heur/231419', 305),
                      ('heur/231905', 305),
                      ('heur/234801', 305),
                      ('heur/235608', 305)]


ltb_low_phase_v4 = [('heur/280924', 12),
                    ('heur/277968', 12),
                    ('heur/277969', 12),
                    ('heur/278164', 11),
                    ('heur/278644', 11),
                    ('heur/280746', 10),
                    ('heur/260291', 12),
                    ('heur/278359', 7),
                    ('heur/258434', 4),
                    ('heur/279708', 1),
                    ('heur/264563', 2),
                    ('heur/280340', 1),
                    ('heur/259599', 1)]



ltb_low_phase_v5 = [('heur/269506', 12),
                    ('heur/281151', 5),
                    ('heur/266513', 11),
                    ('heur/268297', 12),
                    ('heur/279169', 3),
                    ('heur/278555', 7),
                    ('heur/278359', 8),
                    ('heur/278644', 10),
                    ('heur/278166', 8),
                    ('heur/281331', 9),
                    ('heur/277960', 5),
                    ('heur/279708', 2),
                    ('heur/269504', 2),
                    ('heur/269566', 1),
                    ('heur/265544', 1)]


#ltb_high_common = [('heur/277962', 14), ('heur/277959', 163)]
ltb_high_common = [('heur/280746', 14), ('heur/277959', 163)]




ltb_high_phase_schedule = [('heur/261846', 13), ('heur/259793', 167)]


fnt_schedule = [('heur/fnt_1', 300),
                ('heur/fnt_2', 300),
                ('heur/fnt_3', 300),
                ('heur/fnt_4', 300),
                ('heur/271307', 300),
                ('heur/273393', 11),
                ('heur/271303', 26),
                ('heur/269879', 39),
                ('heur/271021', 43),
                ('heur/272218', 59),
                ('heur/273030', 90),
                ('heur/270906', 110),
                ('heur/272766', 137)]



fof_schedule = [('heur/default_fof', 305),
                ('heur/276456', 305),
                ('heur/276653', 270),
                ('heur/276458', 125),
                ('heur/273917', 141),
                ('heur/273498', 38),
                ('heur/277096', 183),
                ('heur/276457', 168),
                ('heur/277097', 160),
                ('heur/276899', 295),
                ('heur/276753', 41)]

